petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelGetStratumBounds

Get the largest and smallest point of a stratum

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetStratumBounds(DMLabel label, PetscInt value, PetscInt *start, PetscInt *end)

Not collective

### Input Parameters

| label | - the DMLabel
| value | - the stratum value

### Output Paramaters

| start | - the smallest point in the stratum
| end | - the largest point in the stratum

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages